[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_dynar' (#crwlib)

# TObjectStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_dynar.pas line 57

`type TObjectStorage = class(TLatch)`
`protected`
`function CheckOk; override;`
`procedure ErrorFound(); override;`
`public`
`constructor Create();`
`destructor Destroy; override;`
`procedure Delete();`
`procedure Insert();`
`function Remove();`
`procedure Add();`
`procedure ForEach();`
`function IndexOf();`
`procedure Clear;`
`procedure Pack;`
`property OwnsObjects: Boolean; [rw]`
`property Step: LongInt; [rw]`
`property Count: LongInt; [rw]`
`property Capacity: LongInt; [rw]`
`property Items []: TObject; default; [rw]`
`end;`

## Inheritance

`TObjectStorage`
`TLatch`
`TMasterObject`
`TObject`